Bug 1752006 - Undefined variable 'pkg_name' outside [[ ]] brackets
Summary: Undefined variable 'pkg_name' outside [[ ]] brackets
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ernestas Kulik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-13 12:37 UTC by Kamil Páral
Modified: 2019-11-29 11:15 UTC (History)
7 users (show)

Fixed In Version: libreport-2.11.3-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-29 11:15:03 UTC


Attachments (Terms of Use)

Description Kamil Páral 2019-09-13 12:37:41 UTC
Description of problem:
I saw the error when reporting a problem from setroubleshoot gui window.


--- Running analyze_BodhiUpdates ---
Looking for similar problems in bugzilla
Duplicate bugzilla bug '#1159823' was found
Searching for updates
No updates for this package found

--- Running report_Bugzilla ---
Logging into Bugzilla at https://bugzilla.redhat.com
Checking for duplicates
Bug is already reported: 1705684
Adding kparal@redhat.com to CC list
In format file '/etc/libreport/plugins/bugzilla_format.conf':
	Undefined variable 'pkg_name' outside [[ ]] brackets
Adding new comment to bug 1705684
Logging out
Status: NEW https://bugzilla.redhat.com/show_bug.cgi?id=1705684


Version-Release number of selected component (if applicable):
abrt-2.12.2-1.fc30.x86_64
abrt-addon-ccpp-2.12.2-1.fc30.x86_64
abrt-addon-coredump-helper-2.12.2-1.fc30.x86_64
abrt-addon-kerneloops-2.12.2-1.fc30.x86_64
abrt-addon-pstoreoops-2.12.2-1.fc30.x86_64
abrt-addon-vmcore-2.12.2-1.fc30.x86_64
abrt-addon-xorg-2.12.2-1.fc30.x86_64
abrt-cli-2.12.2-1.fc30.x86_64
abrt-dbus-2.12.2-1.fc30.x86_64
abrt-desktop-2.12.2-1.fc30.x86_64
abrt-gui-2.12.2-1.fc30.x86_64
abrt-gui-libs-2.12.2-1.fc30.x86_64
abrt-java-connector-1.1.2-1.fc30.x86_64
abrt-libs-2.12.2-1.fc30.x86_64
abrt-plugin-bodhi-2.12.2-1.fc30.x86_64
abrt-retrace-client-2.12.2-1.fc30.x86_64
abrt-tui-2.12.2-1.fc30.x86_64
libreport-2.10.1-1.fc30.x86_64
libreport-cli-2.10.1-1.fc30.x86_64
libreport-fedora-2.10.1-1.fc30.x86_64
libreport-filesystem-2.10.1-1.fc30.noarch
libreport-gtk-2.10.1-1.fc30.x86_64
libreport-plugin-bugzilla-2.10.1-1.fc30.x86_64
libreport-plugin-kerneloops-2.10.1-1.fc30.x86_64
libreport-plugin-logger-2.10.1-1.fc30.x86_64
libreport-plugin-reportuploader-2.10.1-1.fc30.x86_64
libreport-plugin-systemd-journal-2.10.1-1.fc30.x86_64
libreport-plugin-ureport-2.10.1-1.fc30.x86_64
libreport-web-2.10.1-1.fc30.x86_64


How reproducible:
unknown

Comment 1 Ernestas Kulik 2019-09-13 13:14:34 UTC
Upstream issue: https://github.com/abrt/libreport/issues/445

It’s reproducible with pkg_name being missing in the directory (or anything else that is used in the format file), as the message states. Now that you mention this being reported from setroubleshoot, it should be easier to get to the bottom of this.

Comment 2 Ernestas Kulik 2019-09-18 08:27:59 UTC
Kamil, would you happen to recall if it’s a specific AVC denial that results in this?

Comment 3 Kamil Páral 2019-09-18 14:01:47 UTC
Yes, the one in bug 1705684

Comment 4 Ernestas Kulik 2019-09-18 14:05:18 UTC
Ah, my bad, didn’t notice.

Comment 5 Fedora Update System 2019-10-11 13:50:40 UTC
FEDORA-2019-d419c867c1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d419c867c1

Comment 6 Fedora Update System 2019-10-11 13:56:45 UTC
FEDORA-2019-7898ce4066 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7898ce4066

Comment 7 Fedora Update System 2019-10-11 13:56:54 UTC
FEDORA-2019-a686bc23c6 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a686bc23c6

Comment 8 Fedora Update System 2019-10-11 16:54:04 UTC
libreport-2.11.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7898ce4066

Comment 9 Fedora Update System 2019-10-12 01:14:51 UTC
libreport-2.11.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a686bc23c6

Comment 10 Fedora Update System 2019-10-12 02:02:35 UTC
libreport-2.11.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d419c867c1


Note You need to log in before you can comment on or make changes to this bug.